/Users/bernard/b20/bsoft/src/rwparam/rwtree.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwparam/rwtree.cpp - Functions for reading (and writing) trees.

SYNOPSIS

#include 'rwtree.h'
#include 'utilities.h'

  Functions
Bnode * read_tree (char *filename)
Reads a phylip format tree file.
Bnode * tree_read_node (char **handle, Bnode *one)
Reads a node into a tree structure.
int tree_calculate_angle (Bnode *node, int *itip, float tip_angle)
Calculates an angle for each node for plotting.
int tree_delete_node (Bnode *node)
Deletes a node with all daughter nodes.
int tree_rotate (Bnode *node, float angle)
Adds an angle to all nodes.
int tree_show (Bnode *node)
Shows a node with all daughter nodes.

  Variables
int verbose

Detailed Description

Functions for reading (and writing) trees.

Author:
    Bernard Heymann

Date:
    Created: 20010722

    Modified: 20110810

Definition in file rwtree.cpp.

Function Documentation

  Bnode* read_tree (char * filename)

Reads a phylip format tree file.

Reads the tree file using a recursive approach.

Parameters:
    *filename tree file name.

Returns:
    Bnode* a pointer to the root node of the tree.

Definition at line 23 of file rwtree.cpp.

  int tree_calculate_angle (Bnode * node, int * itip, float tip_angle)

Calculates an angle for each node for plotting.

Parameters:
    *node node.
    *itip the number of tip nodes passed.
    tip_angle the angular increment for each tip node.

Returns:
    int 0.

Definition at line 133 of file rwtree.cpp.

  int tree_delete_node (Bnode * node)

Deletes a node with all daughter nodes.

Parameters:
    *node node.

Returns:
    int 0.

Definition at line 160 of file rwtree.cpp.

  Bnode* tree_read_node (char ** handle, Bnode * one)

Reads a node into a tree structure.

Parameters:
    **handle pointer to the buffer holding the phylip format tree.
    *one one node.

Returns:
    Bnode* a pointer to the new node of the tree.

Definition at line 75 of file rwtree.cpp.

  int tree_rotate (Bnode * node, float angle)

Adds an angle to all nodes.

The angle must be specified in radians.

Parameters:
    *node node.
    angle rotation angle (radians).

Returns:
    int 0.

Definition at line 184 of file rwtree.cpp.

  int tree_show (Bnode * node)

Shows a node with all daughter nodes.

Parameters:
    *node node.

Returns:
    int 0.

Definition at line 204 of file rwtree.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.